@echo off

REM ----------------------------------------------
REM Convert base and entries from extra_mounts.txt
REM ----------------------------------------------

REM Remove old log file.
if exist mass_convert.log del mass_convert.log

REM Assume clean conversion
set CONVERSION_ERRORS=0

pushd tools

REM Convert base directory.
call :ConvertRoot base

REM Convert items from extra mount directories.
for /F %%f in ('type ..\..\..\extra_mount.txt') do call :ConvertExtra %%f

popd

if %CONVERSION_ERRORS% neq 0 goto :report_failure

:report_success
echo.
echo The massconversion ended successfully.
exit 0
goto :eof

:report_failure
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo The massconversion ended with ERRORs, check the mass convert log file:
echo "<conversion_tools>\bin\win_x86\mass_convert.log".
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
pause
exit 1
goto :eof


:ConvertRoot
resconvert -update -root %1
if %ERRORLEVEL% neq 0 set CONVERSION_ERRORS=1
type mass_convert.log >> ..\mass_convert.log
del mass_convert.log
goto :eof


:ConvertExtra
set ROOT=%1
rem Strip leading ! from mighty mount
set ROOT=%ROOT:!=%
rem Remove any spaces
set ROOT=%ROOT: =%
rem Skip commented out entries
if "%ROOT:~0,1%" == "#" goto :eof
call :ConvertRoot %ROOT%
goto :eof
